#!/bin/bash

# BEGIN STRING TABLE
# These constants should be translated for international use
#
PATH_SET_TO="is now set to :"
GENERATING_FONT_MATRIX="Generating font matrix. Please wait..."
FONT_MATRIX_GENERATION="Font Matrix Generation"
PROGRESS_DONE="Done"
GNOME_DETECTED="Gnome Window Manager detected."
UPGRADE_ENLIGHTENMENT="Please upgrade to version 0.16.0 or later of the Enlightenment window manager, some functionality cannot be supported."
LC_ALL_IS_C="LC_ALL is set to C. Can't start Kylix."
LC_ALL_IS_POSIX="LC_ALL is set to POSIX. Can't start Kylix."
WARNING="Warning"
NOT_SET_OK_DEFAULTING_TO="is not set correctly, defaulting to"
KYLIX_IDE_LOCALE_SETTING="Kylix IDE Locale setting"
DLG_PATH="/bin/transdlg"
KY_LOCALE="en_US"
MSG_LANGUAGE="Language"
NOT_FOUND_RETRYING_NO_CHARSET="was not found, retrying without charset name..."
FOR_LANG1="For language"
FOR_LANG2="several language ids were found"
MULT_LANG_TAIL="Instead of using the first entry in the list, it is suggested that you define your LANG environment variable like this"
NO_COUNTRY="was not found, retrying without country name..."
NOT_RECOGNIZED_DEF="was not recognized, defaulting to English"
PALETTE_STANDARD="Standard"
PALETTE_ADDITIONAL="Additional"
PALETTE_COMMON_CTRLS="Common Controls"
PALETTE_DIALOGS="Dialogs"
PALETTE_DATA_ACCESS="Data Access"
PALETTE_DATA_CONTROLS="Data Controls"
PALETTE_FORMS="Forms"
PALETTE_PROJECTS="Projects"
FORMT_STDDLGH_NAME="Standard Dialog (Horizontal)"
FORMT_STDDLGH_PAGE="Dialogs"
FORMT_STDDLGH_DESCRIP="OK, Cancel along bottom of dialog."
FORMT_DLGWHLPH_NAME="Dialog with Help (Horizontal)"
FORMT_DLGWHLPH_PAGE="Dialogs"
FORMT_DLGWHLPH_DESCRIP="OK, Cancel, Help along bottom of dialog. This is an Inherited Form."
FORMT_STDDLGV_NAME="Standard Dialog (Vertical)"
FORMT_STDDLGV_PAGE="Dialogs"
FORMT_STDDLGV_DESCRIP="OK, Cancel along right edge."
FORMT_DLGWHLPV_NAME="Dialog with Help (Vertical)"
FORMT_DLGWHLPV_PAGE="Dialogs"
FORMT_DLGWHLPV_DESCRIP="OK, Cancel, Help along right edge. This is an Inherited Form."
FORMT_ABOUT_NAME="About box"
FORMT_ABOUT_PAGE="Forms"
FORMT_ABOUT_DESCRIP="Generic About box dialog."
FORMT_TABPG_NAME="Tabbed pages"
FORMT_TABPG_PAGE="Forms"
FORMT_TABPG_DESCRIP="Generic tabbed pages dialog with OK, Cancel, and Help buttons."
FORMT_PASSWD_NAME="Password Dialog"
FORMT_PASSWD_PAGE="Dialogs"
FORMT_PASSWD_DESCRIP="Generic password entry form."
FORMT_DUOLIST_NAME="Dual list box"
FORMT_DUOLIST_PAGE="Forms"
FORMT_DUOLIST_DESCRIP="Dialog box with two list boxes. Supports moving items from one list to the other."
FORMT_MASTDET_NAME="Master Detail Data"
FORMT_MASTDET_PAGE="Forms"
FORMT_MASTDET_DESCRIP="Master Detail form template"
FORMT_RECERR_NAME="Reconcile Error Dialog"
FORMT_RECERR_PAGE="Dialogs"
FORMT_RECERR_DESCRIP="Reconcile Error Dialog"
PROJT_MDIAPP_NAME="MDI Application"
PROJT_MDIAPP_PAGE="Projects"
PROJT_MDIAPP_DESCRIP="Standard MDI application frame."

# END STRING TABLE

# Make links for our shared libraries

ln -sf $SETUP_INSTALLPATH/bin/dcluser.so.6.5.0 $SETUP_INSTALLPATH/bin/dcluser.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/libbortoken.so.6.5.0 $SETUP_INSTALLPATH/bin/libbortoken.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/libqt.so.2.3.0 $SETUP_INSTALLPATH/bin/libqt.so.2
ln -sf $SETUP_INSTALLPATH/bin/libqtintf-6.5.0-qt2.3.so $SETUP_INSTALLPATH/bin/libqtintf-6.5-qt2.3.so
ln -sf $SETUP_INSTALLPATH/bin/libcomctl32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libcomctl32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libcomdlg32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libcomdlg32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libgdi32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libgdi32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libimm32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libimm32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/liblz32.borland.so.1.0 $SETUP_INSTALLPATH/bin/liblz32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libmpr.borland.so.1.0 $SETUP_INSTALLPATH/bin/libmpr.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libole32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libole32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/liboleaut32.borland.so.1.0 $SETUP_INSTALLPATH/bin/liboleaut32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libolecli32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libolecli32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/liboledlg.borland.so.1.0 $SETUP_INSTALLPATH/bin/liboledlg.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libolepro32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libolepro32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libolesvr32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libolesvr32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libshell32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libshell32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libuser32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libuser32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libversion.borland.so.1.0 $SETUP_INSTALLPATH/bin/libversion.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwine.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwine.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwineoss.drv.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwineoss.drv.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwinmm.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwinmm.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwinspool.drv.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwinspool.drv.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libx11drv.borland.so.1.0 $SETUP_INSTALLPATH/bin/libx11drv.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwininet.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwininet.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libkernel32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libkernel32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwineps.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwineps.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libshlwapi.borland.so.1.0 $SETUP_INSTALLPATH/bin/libshlwapi.borland.so
ln -sf $SETUP_INSTALLPATH/bin/bplbaseclx.so.6.5.0 $SETUP_INSTALLPATH/bin/bplbaseclx.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplvisualclx.so.6.5.0 $SETUP_INSTALLPATH/bin/bplvisualclx.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplvcl.so.6.5.0 $SETUP_INSTALLPATH/bin/bplvcl.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplvclex.so.6.5.0 $SETUP_INSTALLPATH/bin/bplvclex.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplcoreide.so.6.5.0 $SETUP_INSTALLPATH/bin/bplcoreide.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bpldelphide.so.6.5.0 $SETUP_INSTALLPATH/bin/bpldelphide.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bpldesignide.so.6.5.0 $SETUP_INSTALLPATH/bin/bpldesignide.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplvclide.so.6.5.0 $SETUP_INSTALLPATH/bin/bplvclide.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/dclstd.so.6.5.0 $SETUP_INSTALLPATH/bin/dclstd.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/librpcrt4.borland.so.1.0 $SETUP_INSTALLPATH/bin/librpcrt4.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libadvapi32.borland.so.1.0 $SETUP_INSTALLPATH/bin/libadvapi32.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libwine_unicode.borland.so.1.0 $SETUP_INSTALLPATH/bin/libwine_unicode.borland.so
ln -sf $SETUP_INSTALLPATH/bin/libdcc.so.6.5.0 $SETUP_INSTALLPATH/bin/libdcc.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/delphi $SETUP_INSTALLPATH/bin/Kylix
ln -sf $SETUP_INSTALLPATH/bin/libborunwind.so.6.0 $SETUP_INSTALLPATH/bin/libborunwind.so.6
ln -sf $SETUP_INSTALLPATH/bin/bpldesignhooks.so.6.5.0 $SETUP_INSTALLPATH/bin/bpldesignhooks.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/libboredit.so.6.5.0 $SETUP_INSTALLPATH/bin/libboredit.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/libborkbd.so.6.5.0 $SETUP_INSTALLPATH/bin/libborkbd.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/bplHelpViewers.so.6.5.0 $SETUP_INSTALLPATH/bin/bplHelpViewers.so.6.5
ln -sf $SETUP_INSTALLPATH/bin/libdbk.so.1.5 $SETUP_INSTALLPATH/bin/libdbk.so.1


#if [ -e $SETUP_INSTALLPATH/bin/libclxthemes.so.2.0 ]; then
#    ln -sf $SETUP_INSTALLPATH/bin/libclxthemes.so.2.0 $SETUP_INSTALLPATH/bin/libclxthemes.so.2
#fi

# Hack for Debian 2.2
if [ ! -e /usr/lib/libstdc++-libc6.1-1.so.2 ]; then
    libcpp=`ls /usr/lib/libstdc++-3*.so | tail -1`
    if [ -n "$libcpp" ]; then
	ln -sf "$libcpp" $SETUP_INSTALLPATH/bin/libstdc++-libc6.1-1.so.2
    fi
fi

# Create dcc.cfg file
userid=`id -u`
if [ "$userid" = "0" ]; then
    if [ ! -d /usr/local ]; then
	mkdir /usr/local
    fi
    if [ ! -d /usr/local/etc ]; then
	mkdir /usr/local/etc
    fi
    cat <<EOF > /usr/local/etc/dcc.conf
--msgcatalog=$SETUP_INSTALLPATH/bin
-u$SETUP_INSTALLPATH/lib
-o$SETUP_INSTALLPATH/bin
EOF
else
    cat <<EOF > ~/.dcc
--msgcatalog=$SETUP_INSTALLPATH/bin
-u$SETUP_INSTALLPATH/lib
-o$SETUP_INSTALLPATH/bin
EOF
fi

# Make borlandrc file
if [ ! -d ~/.borland ]; then
    mkdir ~/.borland
fi
cat <<EOF >>~/.borland/.borlandrc

[Drive C]
Path=/
Type=hd

[wine]
Windows=c:/tmp
System=c:/tmp
Temp=c:/tmp
Path=c:

[fonts]
;Read documentation/fonts before adding aliases
Resolution = 96
ProgressMsg=$GENERATING_FONT_MATRIX
ProgressDlgTitle=$FONT_MATRIX_GENERATION
ProgressStatusMsg=%i%% $PROGRESS_DONE
ProgressDlgPath=$SETUP_INSTALLPATH/bin/transdlg

[Tweak.Layout]
WineLook=KDE
ProgressDlgTitle=$GNOME_DETECTED
ProgressDlgMsg=$UPGRADE_ENLIGHTENMENT
ProgressDlgPath=$SETUP_INSTALLPATH/bin/transdlg

[registry]
WriteFontToWinIni=N
LoadGlobalRegistryFiles = N
LoadHomeRegistryFiles = N
LoadWindowsRegistryFiles = N
;; this prevents us from writing out the files on exit
WritetoHomeRegistries = N

[Clipboard]
ClearAllSelections=1
PersistentSelection=0

EOF

# if libc >= 2.1.3, then add locale=1
# otherwise, add locale=0
# is this ugly enough yet...
chklibc="$HOME/.chklibc$$"
if [ -e setup.data/chklibc ]; then
    cp "setup.data/chklibc" "$chklibc"
    chmod 700 "$chklibc"
    libcver=`$chklibc`
    rm -f $chklibc
fi

libcmajor=0
libcminor=0
libcbuild=0
libcmajor=`echo $libcver |awk -F. '{printf $1}'`
libcminor=`echo $libcver |awk -F. '{printf $2}'`
libcbuild=`echo $libcver |awk -F. '{printf $3}'`

add_locale=1
if [ $libcmajor -gt 2 ]; then
    add_locale=0
elif [ $libcmajor -eq 2 ]; then
    if [ $libcminor -gt 1 ]; then
	add_locale=0
    elif [ $libcminor -eq 1 ]; then
	if [ $libcbuild -ge 3 ]; then
	    add_locale=0
	fi
    fi
fi

cat <<EOF >>~/.borland/.borlandrc

[locale]
LOCALE=$add_locale
C=$LC_ALL_IS_C
P=$LC_ALL_IS_POSIX
UNSET=$WARNING: %s $NOT_SET_OK_DEFAULTING_TO %s
ProgressDlgTitle=$KYLIX_IDE_LOCALE_SETTING
ProgressDlgPath=$SETUP_INSTALLPATH$DLG_PATH
DEFAULT=$KY_LOCALE
LanguageNotFound=$WARNING: $MSG_LANGUAGE '%s.%s' $NOT_FOUND_RETRYING_NO_CHARSET
MultipleLanguagesHead=$FOR_LANG1 '%s' $FOR_LANG2:
MultipleLanguagesTail=$MULT_LANG_TAIL: LANG=%s_%s
NoCountry=$WARNING: $MSG_LANGUAGE '%s' $NO_COUNTRY
DefaultEnglish=$WARNING: $MSG_LANGUAGE '%s' $NOT_RECOGNIZED_DEF


EOF

# if root, then copy the borlandrc to a global location as well
if [ "$userid" = "0" ]; then
    if [ ! -e /usr/local/etc/borlandrc.conf ]; then
	cp ~/.borland/.borlandrc /usr/local/etc/borlandrc.conf
    fi
fi

# Make startup script for IDE
cat <<EOF > $SETUP_INSTALLPATH/bin/startkylix
#!/bin/bash

# BEGIN STRING TABLE

KYDEF_LOCALE="en_US"
LC_ALL_IS_C1="The LC_ALL environment variable is set to C.  Kylix cannot start with this setting."
LC_ALL_IS_C2="Defaulting LC_ALL to"

# END STRING TABLE

if [ -z "\$LANG" ]; then
   LANG=\$KYDEF_LOCALE
   export LANG
fi

if [ "\$LC_ALL" = "C" ]; then
   echo "\$LC_ALL_IS_C1"
   echo "\$LC_ALL_IS_C2 \$KYDEF_LOCALE."
   LC_ALL=\$KYDEF_LOCALE
   export LC_ALL
fi


source $SETUP_INSTALLPATH/bin/kylixpath $SETUP_INSTALLPATH >/dev/null
$SETUP_INSTALLPATH/bin/Kylix \$*
EOF

# Make .delphi65rc config file for the IDE
if [ ! -d ~/.borland ]; then
    mkdir ~/.borland
fi

cat <<__EOF >~/.borland/delphi65rc
[Globals]
DelphiRoot=$SETUP_INSTALLPATH

[Library]
Search Path=$SETUP_INSTALLPATH/lib:$SETUP_INSTALLPATH/bin
Package DPL Output=
Package DCP Output=
Package Search Path=

[Known IDE Packages]

[Known Packages]
$SETUP_INSTALLPATH/bin/dclstd.so.6.5=Borland Standard Component Package
$SETUP_INSTALLPATH/bin/bplHelpViewers.so.6.5=Borland Help Viewer Package

[Palette]
$PALETTE_STANDARD=
$PALETTE_ADDITIONAL=
$PALETTE_COMMON_CTRLS=
$PALETTE_DIALOGS=

[Palette Defaults]
$PALETTE_STANDARD=
$PALETTE_ADDITIONAL=
$PALETTE_COMMON_CTRLS=
$PALETTE_DIALOGS=

[Debugging]
Debug DCUs Path=$SETUP_INSTALLPATH/lib/debug

[Help]
WinHelpPath=$SETUP_INSTALLPATH/help

__EOF

# copy the appropriate libdl patch
#if [ "$libcver" = "2.1.2" ]; then
#    cp patches/libc2.1.2/libdl.so.2 $SETUP_INSTALLPATH/bin/
#elif [ "$libcver" = "2.1.3" ]; then
#    cp patches/libc2.1.3/libdl.so.2 $SETUP_INSTALLPATH/bin/
#fi

# move the delphi.dci file into .borland
if [ ! -e ~/.borland/delphi65dci ]; then
    cp $SETUP_INSTALLPATH/bin/delphi.dci ~/.borland/delphi65dci
fi

if [ "$userid" = "0" ]; then
    if [ ! -e /usr/local/etc/delphi65dci.conf ]; then
	cp $SETUP_INSTALLPATH/bin/delphi.dci /usr/local/etc/delphi65dci.conf
    fi
fi

rm -f $SETUP_INSTALLPATH/bin/delphi.dci

# move the delphi65dmt file into .borland
if [ ! -e ~/.borland/delphi65dmt ]; then
    cp $SETUP_INSTALLPATH/bin/delphi65dmt ~/.borland/
fi

if [ "$userid" = "0" ]; then
    if [ ! -e /usr/local/etc/delphi65dmt.conf ]; then
	cp $SETUP_INSTALLPATH/bin/delphi65dmt /usr/local/etc/delphi65dmt.conf
    fi
fi

rm -f $SETUP_INSTALLPATH/bin/delphi65dmt

# make the delphi.dro file
cat <<EOF >~/.borland/delphi65dro
[Repository Pages]
$PALETTE_FORMS=
$PALETTE_DIALOGS=
$PALETTE_PROJECTS=

[$SETUP_INSTALLPATH/objrepos/clxokcancl1]
Type=FormTemplate
Name=$FORMT_STDDLGH_NAME
Page=$FORMT_STDDLGH_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxokcancl1.ico
Description=$FORMT_STDDLGH_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=

[$SETUP_INSTALLPATH/objrepos/clxokcnhlp1]
Type=FormTemplate
Name=$FORMT_DLGWHLPH_NAME
Page=$FORMT_DLGWHLPH_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxokcnhlp1.ico
Description=$FORMT_DLGWHLPH_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=$SETUP_INSTALLPATH/objrepos/clxokcancl1

[$SETUP_INSTALLPATH/objrepos/clxokcancl2]
Type=FormTemplate
Name=$FORMT_STDDLGV_NAME
Page=$FORMT_STDDLGV_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxokcancl2.ico
Description=$FORMT_STDDLGV_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=

[$SETUP_INSTALLPATH/objrepos/clxokcnhlp2]
Type=FormTemplate
Name=$FORMT_DLGWHLPV_NAME
Page=$FORMT_DLGWHLPV_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxokcnhlp2.ico
Description=$FORMT_DLGWHLPV_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=$SETUP_INSTALLPATH/objrepos/clxokcancl2

[$SETUP_INSTALLPATH/objrepos/clxabout]
Type=FormTemplate
Name=$FORMT_ABOUT_NAME
Page=$FORMT_ABOUT_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxabout.ico
Description=$FORMT_ABOUT_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=

[$SETUP_INSTALLPATH/objrepos/clxtabpgdlg]
Type=FormTemplate
Name=$FORMT_TABPG_NAME
Page=$FORMT_TABPG_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxtabpgdlg.ico
Description=$FORMT_TABPG_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=

[$SETUP_INSTALLPATH/objrepos/clxpassword]
Type=FormTemplate
Name=$FORMT_PASSWD_NAME
Page=$FORMT_PASSWD_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxpassword.ico
Description=$FORMT_PASSWD_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=

[$SETUP_INSTALLPATH/objrepos/clxduallist]
Type=FormTemplate
Name=$FORMT_DUOLIST_NAME
Page=$FORMT_DUOLIST_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/clxduallist.ico
Description=$FORMT_DUOLIST_DESCRIP
Author=Borland
DefaultMainForm=0
DefaultNewForm=0
Ancestor=


[$SETUP_INSTALLPATH/objrepos/mdiapp/clxmdiapp]
Type=ProjectTemplate
Name=$PROJT_MDIAPP_NAME
Page=$PROJT_MDIAPP_PAGE
Icon=$SETUP_INSTALLPATH/objrepos/mdiapp/clxmdiapp.ico
Description=$PROJT_MDIAPP_DESCRIP
Author=Borland
DefaultProject=0

EOF

if [ "$userid" = "0" ]; then
    if [ ! -e /usr/local/etc/delphi65dro.conf ]; then
	cp ~/.borland/delphi65dro /usr/local/etc/delphi65dro.conf
    fi
fi

# make kylixpath
cat <<EOF > $SETUP_INSTALLPATH/bin/kylixpath
#!/bin/bash


prepath=$SETUP_INSTALLPATH
if  [ -n "\$1" ]; then
    prepath=\$1
fi
kylixpath=\$prepath/
has_slash=\`expr "\$kylixpath" : '\(.*//\)'\`
if [ -n "\$has_slash" ]
then
   kylixpath=\$prepath
else
   kylixpath=\$prepath/
fi
b=bin
l=lib
h=help

path_found=
for kpath in \$kylixpath\$h \$kylixpath\$l \$kylixpath\$b; do
   for ppath in \`echo \$PATH | sed s/:/\ /g\`; do
      if [ "\$kpath" = "\$ppath" ]; then
         path_found="Y"
      fi
   done
   if [ -z "\$path_found" ]; then
      PATH="\$kpath:\$PATH"
   fi
done

path_found=
kpath=\$kylixpath\$b
for ppath in \`echo \$LD_LIBRARY_PATH | sed s/:/\ /g\`; do
   if [ "\$kpath" = "\$ppath" ]; then
      path_found="Y"
   fi
done
if [ -z "\$path_found" ]; then
   LD_LIBRARY_PATH="\$kylixpath\$b:\$LD_LIBRARY_PATH"
fi

XPPATH="\$kylixpath\$h/xprinter"

HHHOME="\$kylixpath\$h"

export PATH
export LD_LIBRARY_PATH
export XPPATH
export HHHOME
echo "PATH $PATH_SET_TO"
echo "\$PATH"
echo ""
echo "LD_LIBRARY_PATH $PATH_SET_TO"
echo "\$LD_LIBRARY_PATH"
echo ""
echo "XPPATH $PATH_SET_TO"
echo "\$XPPATH"
echo ""
echo "HHHOME $PATH_SET_TO"
echo "\$HHHOME"

EOF

chmod 755 $SETUP_INSTALLPATH/bin/kylixpath

#Verify/create KDE applnk directories
if [ -d ~/.kde2 ]; then
   if [ ! -d ~/.kde2/share/applnk-mdk ]; then
      if [ ! -d ~/.kde2/share ]; then
         mkdir ~/.kde2/share
      fi
      if [ ! -d ~/.kde2/share/applnk ]; then
         mkdir ~/.kde2/share/applnk
      fi
   fi
else
   if [ -d ~/.kde ]; then
      userid=`id -u`
      if [ -e /etc/mandrake-release -o $userid -ne 0 ]; then
         grep "Linux Mandrake release 8\." /etc/mandrake-release >/dev/null 2>/dev/null
         if [ $? -eq 0 ]; then
            if [ ! -d ~/.kde/share ]; then
               mkdir ~/.kde/share
            fi
            if [ ! -d ~/.kde/share/applnk-mdk ]; then
               mkdir ~/.kde/share/applnk-mdk
            fi
         else
            if [ ! -d ~/.kde/share ]; then
               mkdir ~/.kde/share
            fi
            if [ ! -d ~/.kde/share/applnk ]; then
               mkdir ~/.kde/share/applnk
            fi
         fi
      else
         if [ ! -d ~/.kde/share ]; then
            mkdir ~/.kde/share
         fi
         if [ ! -d ~/.kde/share/applnk ]; then
            mkdir ~/.kde/share/applnk
         fi
      fi
   fi
fi
